%define bonobo 1
%if %{bonobo}
%define gnumeric_version %{version}-bonobo
%else
%define gnumeric_version %{version}
%endif

Summary: A spreadsheet program for GNOME.
Name:     	gnumeric
Version: 	1.0.5
Release:	3
Epoch:		1
License:	GPL
Group: Applications/Productivity
Source: 	ftp://ftp.gnome.org/pub/GNOME/stable/sources/gnumeric/gnumeric-%{version}.tar.gz
URL:		http://www.gnome.org/gnumeric/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Patch1:         gnumeric-0.54-staticole2.patch
Patch2:		gnumeric-0.67-excel95-ja.patch
Patch3:		gnumeric-0.71-lengthen-warning.patch
Patch4:         gnumeric-1.0.5-mbinput.patch
Patch5:         gnumeric-1.0.5-exceljpfonts.patch
Requires:	gnome-libs >= 1.0.53
Requires:	libglade >= 0.13
Requires:	guile >= 1.3
Requires:	gnome-print >= 0.20
Requires:	gtk+ >= 1.2.7

BuildPrereq: gnome-libs-devel >= 1.0.53
BuildPrereq: guile-devel >= 1.3
BuildPrereq: gnome-print-devel >= 0.20
BuildPrereq: libglade-devel >= 0.13
BuildPrereq: libole2-devel >= 0.2.4
BuildPrereq: libxml-devel >= 1.8.14
BuildPrereq: gal-devel >= 0.14
BuildPrereq: python-devel
BuildPrereq: bonobo-devel >= 1.0.9
BuildPrereq: gdk-pixbuf-devel >= 0.11.0.90

%description
Gnumeric is a spreadsheet program for the GNOME GUI desktop
environment.

%package devel
Summary: Files necessary to develop gnumeric-based applications.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Gnumeric is a spreadsheet program for the GNOME GUI desktop
environment. The gnumeric-devel package includes files necessary to
develop gnumeric-based applications.

%prep
%setup -q

%patch2 -p1 -b .excel95-ja
%patch3 -p1 -b .lengthen-warning
%patch4 -p1 -b .mbinput
%patch5 -p1 -b .exceljpfonts

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} \
		--sysconfdir=%{_sysconfdir} \
		--with-bonobo --without-gb

## remove docs that don't build for now
perl -pi -e 's/SUBDIRS = C.*/SUBDIRS = C/' doc/Makefile

OLD_PO_FILE_INPUT=yes make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{_prefix} sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} install
if [ -f /usr/lib/rpm/find-lang.sh ] ; then
 /usr/lib/rpm/find-lang.sh $RPM_BUILD_ROOT %name
# sed "s:(644, root, root, 755):(444, bin, bin, 555):" %{name}.lang \
# >tmp.lang && mv tmp.lang %{name}.lang
fi

./mkinstalldirs $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Applications
mv $RPM_BUILD_ROOT%{_prefix}/share/gnome/apps/Applications/gnumeric.desktop $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Applications

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang

%defattr (0755, root, root)
%{_prefix}/bin/gnumeric
%dir %{_prefix}/lib/gnumeric
%dir %{_prefix}/lib/gnumeric/%{gnumeric_version}
%{_prefix}/lib/gnumeric/%{gnumeric_version}/plugins/*
%{_prefix}/share/gnumeric/%{gnumeric_version}/python

%defattr (0644, root, root, 0755)
%doc HACKING AUTHORS ChangeLog NEWS BUGS README COPYING TODO
%{_prefix}/share/gnome/help/gnumeric
%{_prefix}/share/pixmaps/gnumeric
%{_prefix}/share/pixmaps/gnome-application-x-gnumeric.png
%{_prefix}/share/pixmaps/gnome-application-x-xls.png
%{_prefix}/share/pixmaps/gnome-gnumeric.png
%dir %{_prefix}/share/gnumeric
%dir %{_prefix}/share/gnumeric/%{gnumeric_version} 
%{_prefix}/share/gnumeric/%{gnumeric_version}/glade
%{_prefix}/share/gnumeric/%{gnumeric_version}/templates
%{_prefix}/share/gnumeric/%{gnumeric_version}/autoformat-templates
%{_prefix}/share/gnumeric/%{gnumeric_version}/gnome
%{_prefix}/share/mime-info/gnumeric.keys
%{_prefix}/share/mime-info/gnumeric.mime
%{_prefix}/share/mc/templates/gnumeric.desktop
%{_prefix}/share/oaf/*.oaf

%config %{_sysconfdir}/X11/applnk/Applications/gnumeric.desktop

%files devel
%defattr (-, root, root)
%{_prefix}/lib/gnumericConf.sh
%dir %{_prefix}/share/gnumeric
%if %{bonobo}
%dir %{_prefix}/share/gnumeric/%{gnumeric_version} 
%{_prefix}/share/gnumeric/%{gnumeric_version}/idl/*.idl
%endif
%dir %{_prefix}/lib/gnumeric
%dir %{_prefix}/lib/gnumeric/%{gnumeric_version}

%changelog
* Wed Apr 10 2002 Havoc Pennington <hp@redhat.com>
- add jp excel reading patch #62776

* Wed Mar 27 2002 Havoc Pennington <hp@redhat.com>
- add multibyte patch #61624

* Mon Mar 11 2002 Havoc Pennington <hp@redhat.com>
- 1.0.5

* Wed Jan 30 2002 Tim Powers <timp@redhat.com>
- update to 1.0.3

* Tue Nov 20 2001 Jonathan Blandford <jrb@redhat.com>
- Version 0.76

* Mon Oct  8 2001 Matt Wilson <msw@redhat.com>
- removed patch4 (gnumeric-0.67-sheet_corruption.patch), in CVS now.
- removed patch8 (gnumeric-0.67-xlsscale.patch), no longer needed.
- removed patch4 (gnumeric-0.67-s390.patch), no longer needed.
- regenerated patch6 (gnumeric-0.67.lengthen-warning.patch) against 0.71
- removed patch2 (gnumeric-0.67-mb.patch), in CVS now.
- removed patch9 (gnumeric-0.67-backspace.patch), came from CVS.
- removed patch5 (gnumeric-0.67-desktop.patch), ditto
- renamed remaining patches:
    patch3 (gnumeric-0.67-excel95-ja.patch) -> patch2
    patch6 (gnumeric-0.71-lengthen-warning.patch) -> patch3
- removed source10, ja.po from upstream is more up to date.
- added files needed for bonobo gnumeric back into file list

* Wed Sep  5 2001 Owen Taylor <otaylor@redhat.com>
- Add patch from CVS to fix backspace (#53062)

* Tue Aug  7 2001 Owen Taylor <otaylor@redhat.com>
- Fix problem with scaling percentage and XLS files (#51054)
- Fix problem where default font for ja and other locales was backwards

* Mon Aug  6 2001 Owen Taylor <otaylor@redhat.com>
- Install all files from the plugins in the main package. Putting .la
  files in the main package didn't make sense, and we were missing
  some files for the gnome-glossary package.

* Fri Aug  3 2001 Owen Taylor <otaylor@redhat.com>
- Add some missing directories to the main package (#50701)

* Tue Jul 31 2001 Than Ngo <than@redhat.com>
- add patch to build on s390, s390x

* Fri Jul 27 2001 Jonathan Blandford <jrb@redhat.com>
- change 'old copy' dialog to popup after 9 months

* Fri Jul 20 2001 Owen Taylor <otaylor@redhat.com>
- Add missing contents of .desktop file from CVS

* Thu Jul 19 2001 Owen Taylor <otaylor@redhat.com>
- Move desktop file to /etc/X11/applnk (#23488)
- Added BuildPrereq on python-devel (#45029)
- Add BuildPrereq on gal-devel (#45027)
- Add <locale.h> include to .mb patch 
  (don't know why it works for me / in the build system, #32388)

* Mon Jul 16 2001 Jonathan Blandford <jrb@redhat.com>
- backport sheet corruption fix

* Tue Jul 10 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Make devel subpackage depend on main package

* Sat Jul 07 2001 Owen Taylor <otaylor@redhat.com>
- Version 0.67

* Fri Jun 15 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Thu Jun 07 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- support newer gettext version

* Fri Mar  9 2001 Akira TAGOH <tagoh@redhat.com> 0.61-9
- Fixed read excel95's .xls for Japanese.

* Fri Feb 23 2001 Akira TAGOH <tagoh@rehdat.com> 0.61-8
- Fixed jp patch with gnome-print.

* Mon Feb 19 2001 Akira TAGOH <tagoh@redhat.com>
- Fixed jp patch.

* Thu Feb 08 2001 Yukihiro Nakai <ynakai@redhat.com>
- Fix about Japanese translation (ja.po)

* Wed Feb 07 2001 Yukihiro Nakai <ynakai@redhat.com>
- Update Japanese translation.

* Tue Feb 06 2001 Akira TAGOH <tagoh@redhat.com>
- Added Japanese patch.
- Updated Japanese translation.
  Note: Please remove Source10 when the next upstream release.

* Thu Jan 18 2001 Matt Wilson <msw@redhat.com>
- don't use bin:bin for files in devel.

* Wed Jan 03 2001 Preston Brown <pbrown@redhat.com>
- standard file and directory modes/ownership

* Fri Dec 29 2000 Matt Wilson <msw@redhat.com>
- use rpm > 3.0.5 macros
- 0.61

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Tue Jul 18 2000 Owen Taylor <otaylor@redhat.com>
- Fix DocDir:

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

